libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
sigc::functor_trait< T_functor, I_derives_functor_base > Struct Template Reference
Functors

Trait that specifies the return type of any type. More...

`#include <sigc++/functors/functor_trait.h>`

List of all members.

## Public Types

typedef void | result_type
typedef T_functor | functor_type

## Detailed Description

### template<class T_functor, bool I_derives_functor_base = is_base_and_derived<functor_base,T_functor>::value>
struct sigc::functor_trait< T_functor, I_derives_functor_base >

Trait that specifies the return type of any type.

Template specializations for functors derived from sigc::functor_base, for function pointers and for class methods are provided.

Template Parameters:

  T_functor | Functor type.
  I_derives_functor_base | Whether `T_functor` inherits from sigc::functor_base.